package com.artfess.bpm.plugin.usercalc.matrix.def;

import com.fasterxml.jackson.databind.JsonNode;
import com.artfess.bpm.plugin.core.plugindef.AbstractUserCalcPluginDef;

/**
 * 角色矩阵作为流程审批人的定义
 *
 * @company 广州宏天软件股份有限公司
 * @author pangq
 * @email pang@jee-soft.cn
 * @date 2020年6月16日
 */

public class MatrixPluginDef extends AbstractUserCalcPluginDef {
	private static final long serialVersionUID = -4275133246687703477L;
	/**
	 * 矩阵别名别名
	 */
	private String code;
	/**
	 * 矩阵名称
	 */
	private String name;
	
	/**
	 * 矩阵描述
	 */
	private String description;
	
	/**
	 * 角色code
	 */
	private String roleCode;
	/**
	 * 角色名称
	 */
	private String roleName;
	
	/**
	 * 关联参数
	 */
	private JsonNode params ;
	
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getRoleCode() {
		return roleCode;
	}
	public void setRoleCode(String roleCode) {
		this.roleCode = roleCode;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public JsonNode getParams() {
		return params;
	}
	public void setParams(JsonNode params) {
		this.params = params;
	}
	
}
